Bug 557447 - KMS:RV250:9200 kernel bootup drives monitor beyond available frequency range. Dual Head broken.
KMS:RV250:9200 kernel bootup drives monitor beyond available frequency range....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-21 09:29 EST by colin
Modified: 2011-06-27 10:50 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:50:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log from F13-Alpha-i686-Live-KDE.iso textual boot (73.98 KB, text/plain)
2010-03-26 07:30 EDT, colin
no flags Details
dmesg from F13-Alpha-i686-Live-KDE.iso textual boot (121.87 KB, text/plain)
2010-03-26 07:40 EDT, colin
no flags Details
/var/log/messages from RC-5 F13-Beta-i686-Live-KDE.iso textual boot (88.52 KB, text/plain)
2010-04-11 15:37 EDT, colin
no flags Details
F13 RC5 Xorg.0.log (83.70 KB, application/octet-stream)
2010-04-11 15:44 EDT, colin
no flags Details
F13 RC5 Xorg.0.log (83.70 KB, text/plain)
2010-04-11 20:08 EDT, colin
no flags Details
Kernel panic on boot of kernel-PAE-2.6.33.2-41.fc13.i686 (190.39 KB, image/jpeg)
2010-04-13 09:57 EDT, colin
no flags Details
/var/log/messages from kernel-2.6.33.2-41.fc13.i686 (72.56 KB, text/plain)
2010-04-14 14:23 EDT, colin
no flags Details
/var/log/Xorg.0.log from Comment 15 (75.21 KB, text/plain)
2010-04-14 14:35 EDT, colin
no flags Details
Xorg.0.log after upgrade to 2.6.32.11-99.fc12.i686 (162.31 KB, text/plain)
2010-04-17 21:35 EDT, trevor
no flags Details
boot log for F13-RC Live (43.76 KB, text/plain)
2010-05-08 09:50 EDT, colin
no flags Details
'lspci -vvnn > lspci.out' (9.10 KB, text/plain)
2010-05-08 09:52 EDT, colin
no flags Details
auto generated xorg.conf (4.82 KB, text/plain)
2010-05-08 09:55 EDT, colin
no flags Details
This is the xorg.log generated by 'Xorg -configure' (28.80 KB, text/plain)
2010-05-08 09:56 EDT, colin
no flags Details
This is the xorg.log generated by 'X -config /root/xorg.conf.new' (85.92 KB, text/plain)
2010-05-08 09:58 EDT, colin
no flags Details
'xrandr -display :0.0 --verbose > xrandr--verbose.out' (5.46 KB, text/plain)
2010-05-08 10:00 EDT, colin
no flags Details

  None (edit)
Description colin 2010-01-21 09:29:48 EST
Description of problem:

This may be two problems: KMS and xorg-x11-drv-ati

I have a radeon 9200 with dual outputs (vga and dvi- with vga connector) which I have used for years with fedora and a pair of CRT monitors. This is now on a VIA board with an old Athlon 1200MHz

Ever since I upgraded to FC12  dual head has not worked properly.

For a while the best I could do was boot with nomodeset and get only mirrored output on the dual monitors by  using an xorg.conf with Driver "vesa" - xrandr did not show the second head at all.

This machine suffered from
[Bug 513711] kerneloops in native_apic_write_dummy

so when this was declared fixed with a more modern kernel I investigated if there  had been any improvement with my KMS and dual head problems.

I have been following some of the KMS and xorg-x11-drv-ati threads in bugzilla
and tried recent kernel and driver ATI builds

If I boot 2.6.32.4-29.fc12.i686.PAE without nomodeset the monitors are driven at inappropriate frequencies.
The relysis monitor is capable of 1280x1026@75 but gave out a horrible shreeking noise and smell of burning so I unplugged it. :-(

The other monitor a compaq 7500 is only capable of 1280x1026@60 and it displays a warning that the video signal is too high a frequency.

If I boot with nomodeset then I can see all of the boot text as normal.

when I  get to startx X seems to crash - 
The video mode changes to a black screen with the mouse pointer but I have to hit the power buton to restart.

I have tried the latest kernel and drivers from updates-testing and Koji

Version-Release number of selected component (if applicable):

kernel-PAE-2.6.32.4-28.fc12.i686.rpm
kernel-PAE-2.6.32.4-29.fc12.i686.rpm
kernel-PAE-2.6.31.12-174.2.3.fc12.i686

xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.i686.rpm
xorg-x11-drv-ati-firmware-6.13.0-0.20.20091221git4b05c47ac.fc12.i686.rpm
xorg-x11-drv-ati-debuginfo-6.13.0-0.20.20091221git4b05c47ac.fc12.i686.rpm

How reproducible:
Always.

Steps to Reproduce:
1. Boot without nomodeset
2.
3. ati driver crashes X
  
Actual results:
monitor damage

Expected results:


Additional info:
dmesg and xorg.conf available
Comment 1 colin 2010-01-21 10:04:25 EST
I forgot to mention that I did 
root# yum update kernel\* libdrm mesa\* plymouth\* xorg\* --enablerepo=updates-testing

Before I tried the koji builds, but it was no better.
Comment 2 colin 2010-01-29 10:36:19 EST
kernel boot without nomodeset still fries monitor
 using:
 kernel-PAE-2.6.32.6-36.fc12.i686.rpm

Dual monitor still not vailable using :
libdrm                i686 2.4.17-1.fc12

mesa-dri-drivers-7.7-3.fc12.i686
mesa-libGL-7.7-3.fc12.i686
mesa-libGLU-7.7-3.fc12.i686 

glx-utils-7.7-3.fc12.i686

 plymouth              i686 0.8.0-0.2009.29.09.19.1.fc12
 plymouth-gdm-hooks    i686 0.8.0-0.2009.29.09.19.1.fc12
 plymouth-libs         i686 0.8.0-0.2009.29.09.19.1.fc12
 plymouth-plugin-label i686 0.8.0-0.2009.29.09.19.1.fc12
 plymouth-plugin-two-step
                       i686 0.8.0-0.2009.29.09.19.1.fc12
 plymouth-scripts      i686 0.8.0-0.2009.29.09.19.1.fc12
 plymouth-system-theme i686 0.8.0-0.2009.29.09.19.1.fc12
 plymouth-theme-charge i686 0.8.0-0.2009.29.09.19.1.fc12
 plymouth-utils        i686 0.8.0-0.2009.29.09.19.1.fc12
Comment 3 trevor 2010-03-12 23:50:43 EST
I am now seeing very similar to this after upgrade to Linux kernel version 2.6.32.9-67.fc12.i686.

This is on a Dell Inspiron 6400 laptop with a Dell E228WFP LCD monitor attached (to analogue VGA port).  This occurs at boot time with Plymouth and continues when GDM login panel is displayed and after Gnome starts up.  The built in LDC panel appears to have no issues.
Comment 4 Vedran Miletić 2010-03-23 19:58:47 EDT
Can you retry with F13 Alpha LiveCD?
Comment 5 colin 2010-03-26 07:30:48 EDT
Created attachment 402802 [details]
Xorg.log from F13-Alpha-i686-Live-KDE.iso textual boot

As requested I have tried F13-Alpha-i686-Live-KDE.iso

[BTW: whose idea was it to make it impossible to boot from a Gnome Live _CD_ ? Idiotic.]

I get the boot menu but boot hangs immediately with blue screen on both monitors.

When I edit the kernel options to remove rhgb and quiet:

Can see the text mode boot console, which does switch successfully to higher resolution Frame Buffer text mode.
Boot progresses past udev and through services startup.
Fedora splash screen background appears mirrored on both monitors with moveable mouse pointer.

No progress from there.
No logon screen.

Am able to <ctrl><alt> f2-f12 to console.

Can <alt> f1 back to fedora splash screen.

dmesg and Xorg.log retrieved via ssh and attached here.

dmesg is filled with repetition of this error.

[drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
[drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(3).
Comment 6 colin 2010-03-26 07:40:50 EDT
Created attachment 402812 [details]
dmesg from F13-Alpha-i686-Live-KDE.iso textual boot
Comment 7 Vedran Miletić 2010-03-26 10:46:22 EDT
Thank you for reporting back.
Comment 8 colin 2010-04-11 15:37:12 EDT
Created attachment 405845 [details]
/var/log/messages from RC-5 F13-Beta-i686-Live-KDE.iso textual boot

I have tested with F13 RC5

As before machine hangs at boot.

As before I have to edit boot parameters to do a text boot and initialisation of drm radeon fails.

N.B To retreive log files by scp you first have to
<ctrl><alt> f2

/etc/rc.d/init.d/iptables stop
passwd --stdin root
service sshd start
Comment 9 colin 2010-04-11 15:44:15 EDT
Created attachment 405846 [details]
F13 RC5  Xorg.0.log

 from RC5 
F13-Alpha-i686-Live-KDE.iso textual boot 
    
/var/log/Xorg.0.log
Comment 10 colin 2010-04-11 20:08:41 EDT
Created attachment 405871 [details]
F13 RC5 Xorg.0.log

I could not see any way to edit the attributes of the file that I uploaded
(from  application/octet-stream to  text/plain)
so I have uploaded it again.
 
F13 RC5  Xorg.0.log

 from RC5 
F13-Alpha-i686-Live-KDE.iso textual boot 

/var/log/Xorg.0.log
Comment 11 Jérôme Glisse 2010-04-12 14:25:59 EDT
Can you please test if kernel :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2110907

Helps with your issue.
Comment 12 colin 2010-04-12 17:15:20 EDT
(In reply to comment #11)
> Can you please test if kernel :
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2110907
> 
> Helps with your issue.    

Certainly.
I will be happy to help in any way that I can.
This latest test was the result of booting from the RC5 live KDE CD.
How do you propose that I test this kernel?

The machine currently has fully updated F12 on it and and I am understandably not keen to repeat the folly that was the 'upgrade' from F11 to F12
 which left me with a machine that was unuseable for an extended period - and destroyed a monitor in the process.
Comment 13 Jérôme Glisse 2010-04-13 04:46:56 EDT
You can try force installing the kernel on f12 it should work.
Comment 14 colin 2010-04-13 09:57:16 EDT
Created attachment 406247 [details]
Kernel panic on boot of kernel-PAE-2.6.33.2-41.fc13.i686

Kernel starts boot from grub menu but panics when 
cannot find root device ( which is a normal IDE disk with LVM )
 
Sorry for the poor quality of this image, but it was the best that I could manage with my cameraphone. :-(

Here is what I did.

[root@A1200 koji]# rpm -iv kernel-PAE-2.6.33.2-41.fc13.i686.rpm 
error: Failed dependencies:
        grubby >= 7.0.10-1 is needed by kernel-PAE-2.6.33.2-41.fc13.i686

[root@A1200 koji]# rpm -iv kernel-PAE-2.6.33.2-41.fc13.i686.rpm grubby-7.0.13-1.fc13.i686.rpm 
Preparing packages for installation...
        package kernel-PAE-2.6.33.2-41.fc13.i686 is already installed
        file /sbin/grubby from install of grubby-7.0.13-1.fc13.i686 conflicts with file from package grubby-7.0.9-1.fc12.i686
        file /sbin/installkernel from install of grubby-7.0.13-1.fc13.i686 conflicts with file from package grubby-7.0.9-1.fc12.i686
        file /sbin/new-kernel-pkg from install of grubby-7.0.13-1.fc13.i686 conflicts with file from package grubby-7.0.9-1.fc12.i686

[root@A1200 koji]# rpm -iv --force kernel-PAE-2.6.33.2-41.fc13.i686.rpm 
error: Failed dependencies:
        grubby >= 7.0.10-1 is needed by kernel-PAE-2.6.33.2-41.fc13.i686


rpm -iv --nodeps kernel-PAE-2.6.33.2-41.fc13.i686.rpm


here is relevant excert from grub.conf [these cut'n pasted from a remote terminal so dont line wrap properly]

title Fedora (2.6.33.2-41.fc13.i686.PAE)
        root (hd0,2)
        kernel /vmlinuz-2.6.33.2-41.fc13.i686.PAE ro root=/dev/mapper/vg_a1200-lv_root SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYT
title Fedora (2.6.32.11-99.fc12.i686)
        root (hd0,2)
        kernel /vmlinuz-2.6.32.11-99.fc12.i686 ro root=/dev/mapper/vg_a1200-lv_root SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABL
        initrd /initramfs-2.6.32.11-99.fc12.i686.img
title Fedora (2.6.32.11-99.fc12.i686.PAE)
        root (hd0,2)
        kernel /vmlinuz-2.6.32.11-99.fc12.i686.PAE ro root=/dev/mapper/vg_a1200-lv_root SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEY
        initrd /initramfs-2.6.32.11-99.fc12.i686.PAE.img
Comment 15 colin 2010-04-14 14:23:48 EDT
Created attachment 406593 [details]
/var/log/messages from kernel-2.6.33.2-41.fc13.i686

Unfortunately Fedora13 Beta released today has old kernel 2.6.33.1-24
That seemed no better then F13 RC5

Fortunately I have downloaded livecd-i386-nouveau-200502020230.iso
as part of the Radeon test day today.
and that uses kernel-2.6.33.2-41.fc13.i686

Results are similar to those seen in Comment 5

When I edit the kernel options to remove rhgb and quiet:

Can see the text mode boot console, which does switch successfully to higher
resolution Frame Buffer text mode.
Boot progresses past udev and through services startup.

when I type startx from init 3
As before dmesg is filled with repetition of this error.

[drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
[drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(3).     

/var/log/messages and Xorg.log retrieved via ssh and attached here.
Comment 16 colin 2010-04-14 14:35:49 EDT
Created attachment 406597 [details]
/var/log/Xorg.0.log from Comment 15

This accompanies comment 15

startx showed a slightly garbled background graphic with a moveable mouse pointer that displayed no proper graphic -just a large randomly coloured square sprite.

attached Xorg.log shows that VGA-0 and DVI-0 with both monitors seem to be detected ok.

I updated related components first so
for the sake of completeness I will paste the details here.
Updating:
 desktop-effects           i686     0.8.6-1.fc13        updates-testing    82 k
 gnome-applets             i686     1:2.30.0-1.fc13     fedora            5.4 M
 gnome-icon-theme-extras   noarch   2.30.0-1.fc13       fedora            360 k
 gnome-panel               i686     2.30.0-1.fc13       fedora            1.9 M
 gnome-panel-libs          i686     2.30.0-1.fc13       fedora             61 k
 gnome-python2-extras      i686     2.25.3-17.fc13      fedora             49 k
 gnome-python2-gtkhtml2    i686     2.25.3-17.fc13      fedora             21 k
 gnome-python2-libegg      i686     2.25.3-17.fc13      fedora             53 k
 gnome-terminal            i686     2.30.0-1.fc13       fedora            1.3 M
 gnome-themes              noarch   2.30.0-3.fc13       fedora            2.5 M
 gnome-vfs2                i686     2.24.3-1.fc13       fedora            794 k

Updating:
 libX11             i686        1.3.1-3.fc13         updates-testing      585 k
 libX11-common      noarch      1.3.1-3.fc13         updates-testing      188 k
 libX11-devel       i686        1.3.1-3.fc13         updates-testing      1.0 M
 util-linux-ng      i686        2.17.2-3.fc13        updates-testing      1.5 M
Updating for dependencies:
 libblkid           i686        2.17.2-3.fc13        updates-testing      109 k
 libuuid            i686        2.17.2-3.fc13        updates-testing       61 k
Comment 17 colin 2010-04-15 07:47:41 EDT
Success at Last!

With use of the latest live build gfx_test_week_20100414_i686.iso

which has the 2.6.33.2-46.fc13.i686  kernel
and the use of the radeon.modeset=0 parameter

I have finally been able to startx.

It is still necessary to do a textual boot to init 3 first as graphical boot stops making progress after the progress bars finish and the blank screens display a moveable cursor arrow - although the two screens are now, for the first time, not mirrored but 'side by side' :-)
Unfortunately from this state I cannot <ctrl><alt>f2 and it is not possible to SSH either so I am not able to provide any log files.
Comment 18 trevor 2010-04-17 21:17:41 EDT
I continue to see this on F12 with kernel-2.6.32.11-99.fc12.i686 on my Dell Inspiron 6400 laptop.  [This has ATI Radeon Mobility X1400, which I neglected to mention earlier]
Comment 19 trevor 2010-04-17 21:35:54 EDT
Created attachment 407340 [details]
Xorg.0.log after upgrade to 2.6.32.11-99.fc12.i686

This is my Xorg log when connecting the second monitor after boot up with X & gnome running and enabling the second monitor using the gnome display preferences applet.
Comment 20 colin 2010-05-08 09:48:20 EDT
Now that F13-RC has been released I have tested the Live CD image.

There have clearly been massive improvements over previous releases.
dmesg shows that setup of DRM and radeon looks ok with all connectors recognised.
 
I still have to boot textual to init 3 as before X is still not functional and Dual Head is still broken.

I have captured some log files using ssh:

I did 'lspci -vvnn > lspci.out'

'Xorg -configure' to generate xorg.conf.new and This generated Xorg.0.log.setup

'xrandr -display :0.0 --verbose > xrandr--verbose.out' looks fine.

I did <alt> f2 to get me back to a shell and init 3 to stop X

At the keyboard I typed
'X -config /root/xorg.conf.new'

This generated the  Xorg.0.log.setup

I see that the configuration file generated recognises only one monitor.
Comment 21 colin 2010-05-08 09:50:29 EDT
Created attachment 412533 [details]
boot log for F13-RC Live

/var/log/messages from init 3 boot of F13-RC Live
Comment 22 colin 2010-05-08 09:52:57 EDT
Created attachment 412534 [details]
'lspci -vvnn > lspci.out'
Comment 23 colin 2010-05-08 09:55:31 EDT
Created attachment 412535 [details]
auto generated xorg.conf

This is the config file generated by
'Xorg -configure'
Comment 24 colin 2010-05-08 09:56:47 EDT
Created attachment 412536 [details]
This is the xorg.log generated by 'Xorg -configure'

This is the xorg.log generated by 'Xorg -configure'
Comment 25 colin 2010-05-08 09:58:19 EDT
Created attachment 412537 [details]
This is the xorg.log generated by  'X -config /root/xorg.conf.new'

This is the xorg.log generated by 
'X -config /root/xorg.conf.new'
Comment 26 colin 2010-05-08 10:00:04 EDT
Created attachment 412538 [details]
'xrandr -display :0.0 --verbose > xrandr--verbose.out'
Comment 27 trevor 2010-06-13 22:30:09 EDT
I have upgraded to FEDORA 13 and no longer have this problem.
Comment 28 Bug Zapper 2011-06-02 12:48:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Bug Zapper 2011-06-27 10:50:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.